about summary refs log tree commit diff stats
path: root/failed.sh
diff options
context:
space:
mode:
authorCharadon <dev@iotib.net>2022-07-28 07:04:55 -0400
committerCharadon <dev@iotib.net>2022-07-28 07:04:55 -0400
commit31e93d820bb2a4f875e50c73e605e910a1778eb7 (patch)
tree3f80707bec1277ace2e3764cf5837bcce66b7f75 /failed.sh
parent5ab17c998ef890ce0fe85e1e523a1b62dcb1bef5 (diff)
downloaddscip-31e93d820bb2a4f875e50c73e605e910a1778eb7.tar.gz
Added a failure check
Diffstat (limited to 'failed.sh')
-rwxr-xr-xfailed.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/failed.sh b/failed.sh
new file mode 100755
index 0000000..524f16c
--- /dev/null
+++ b/failed.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -eu
+
+# This script determines what to do if the build failed.
+# Below is an example of uploading the output.txt to an ftp server.
+ftp -in <<EOF
+open 192.168.1.5
+mkdir $DSCIP_NAME
+cd $DSCIP_NAME
+mkdir $CURRENT_NAME
+cd $CURRENT_NAME
+mkdir $(uname)
+cd $(uname)
+put $WORKING_DIRECTORY/output.txt output-failed.txt
+close
+bye
+EOF